Eclipse Platform Release 3.7

## org.eclipse.core.databinding.observable
Class ChangeSupport

    java.lang.Object
      org.eclipse.core.databinding.observable.ChangeSupport

    public abstract class ChangeSupport

extends Object

Since:
  1.0

Constructor Summary
`ChangeSupport(Realm realm)`

Method Summary
`void` `addChangeListener(IChangeListener listener)`
`void` `addDisposeListener(IDisposeListener listener)`
`void` `addListener(Object listenerType, IObservablesListener listener)`
`void` `addStaleListener(IStaleListener listener)`
`protected Object` `clone()`
`void` `dispose()`
`void` `fireEvent(ObservableEvent event)`
`protected abstract void` `firstListenerAdded()`
`Realm` `getRealm()`
`protected boolean` `hasListeners()`
`protected abstract void` `lastListenerRemoved()`
`void` `removeChangeListener(IChangeListener listener)`
`void` `removeDisposeListener(IDisposeListener listener)`
`void` `removeListener(Object listenerType, IObservablesListener listener)`
`void` `removeStaleListener(IStaleListener listener)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChangeSupport

    public ChangeSupport(Realm realm)

Parameters:
  `realm` -

Method Detail

### addListener

    public void addListener(Object listenerType,
                            IObservablesListener listener)

### removeListener

    public void removeListener(Object listenerType,
                               IObservablesListener listener)

### fireEvent

    public void fireEvent(ObservableEvent event)

### firstListenerAdded

    protected abstract void firstListenerAdded()

### lastListenerRemoved

    protected abstract void lastListenerRemoved()

### addChangeListener

    public void addChangeListener(IChangeListener listener)

  Parameters:
    `listener` -

### removeChangeListener

    public void removeChangeListener(IChangeListener listener)

  Parameters:
    `listener` -

### addStaleListener

    public void addStaleListener(IStaleListener listener)

  Parameters:
    `listener` -

### removeStaleListener

    public void removeStaleListener(IStaleListener listener)

  Parameters:
    `listener` -

### addDisposeListener

    public void addDisposeListener(IDisposeListener listener)

  Parameters:
    `listener` -
  Since:
    1.2

### removeDisposeListener

    public void removeDisposeListener(IDisposeListener listener)

  Parameters:
    `listener` -
  Since:
    1.2

### hasListeners

    protected boolean hasListeners()

### dispose

    public void dispose()

### getRealm

    public Realm getRealm()

  Returns:
    Returns the realm.

### clone

    protected Object clone()
                    throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.